Summary: POSIX Conforming RPM Compatible Package Manager
Name: rpmtar
%define version 2.4.2
Version: %{version}
Release: 2
Group: Utilities/System
Source: ftp://ftp.rpm.org/pub/rpm/dist/rpm-2.4.x/rpm-%{version}.tar.gz
Patch0: rpm-2.4.2-rpmtar.patch
Patch1: rpm-2.4.2-rpmtar1.patch
Copyright: GPL
BuildRoot: /tmp/rpm
Requires: cpio rpm

%description
RPMTAR is a powerful package manager, which is compatible with RedHat
RPM's package management features and but it can create packages in
the standard, familiar 'tar.gz' format.  It will  create and install 
either format.  There are no differences at the command-line or
database levels between rpm and rpmtar.

%prep
%setup -n rpm-2.4.2
%patch0 -p1
%patch1 -p1

rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/SOURCES
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/SPECS
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/RPMS
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/SRPMS
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/BUILD
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/RPMS/${RPM_ARCH}
%build

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr

make

%install
make installprefix="$RPM_BUILD_ROOT" install

%clean
rm -rf $RPM_BUILD_ROOT

%post
/bin/rpmtar --initdb

%files
/bin/rpmtar
/usr/doc/rpmtar/README.tarformat

